For the complete documentation index, see llms.txt. This page is also available as Markdown.

Filtering checks

Below is a list of attributes available for filtering checks.

Attribute
Type

clientId

string

type

string

See the Check object for the full list of supported values.

status

string

Valid values are pending, complete, and failed.

documentId

string

addressId

string

livePhotoId

string

liveVideoId

string

enableMonitoring

string Valid values are true and false.

result.outcome

string

Valid values are clear, attention, not_processed, and rejected.

Example - Get all checks for one type

In the example below, we will request to get all checks that are of type document_check.

curl -X GET https://api.complycube.com/v1/checks?type=document_check \
     -H 'Authorization: <YOUR_API_KEY>'
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

doc_checks = cc_api.checks.list(type='document_check')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$doc_checks = $ccapi->checks()->list(['type' => 'document_check']);
using ComplyCube.Net;
using ComplyCube.Net.Resources.Checks;

var checkApi = new CheckApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var filter = new CheckRequest { type = "document_check" }

var docChecks = await checkApi.ListAsync(filter);